Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.server.socket
Enum SSLFactory.Context

    java.lang.Object
      java.lang.Enum<SSLFactory.Context>
          edu.stanford.smi.protege.server.socket.SSLFactory.Context

All Implemented Interfaces:
  Serializable, Comparable<SSLFactory.Context>

Enclosing class:
  SSLFactory

    public static enum SSLFactory.Context

extends Enum<SSLFactory.Context>

Enum Constant Summary
`ALWAYS`
`LOGIN`
`NONE`

Method Summary
`static SSLFactory.Context` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SSLFactory.Context[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SSLFactory.Context NONE

### LOGIN

    public static final SSLFactory.Context LOGIN

### ALWAYS

    public static final SSLFactory.Context ALWAYS

Method Detail

### values

    public static final SSLFactory.Context[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SSLFactory.Context c : SSLFactory.Context.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SSLFactory.Context valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.